Subject: Re: [PATCH 3/3 net-next v4] selftests: net: add test for IPv4 devconf netlink notifications

From: Jakub Kicinski <[email-masked]>
Date: Mon, 25 May 2026 09:08:55 -0700

On Mon, 25 May 2026 17:53:04 +0200 Fernando Fernandez Mancera wrote:
> On 5/19/26 9:24 AM, Fernando Fernandez Mancera wrote:
> > On 5/19/26 9:17 AM, Paolo Abeni wrote:  
> >> Ideally I think extending iproute2 would be the better solution.
> >> @Fernando: perhaps you could update the self-test accordingly, adding an
> >> explicit check for the iproute subcommand. If `ip netconf set` is not
> >> available skip the test, so that iproute2 patches could land later.
> >>
> >> Does the above look feasible?
> >>  
> > 
> > Yep. I agree. Okay, let's do that :-)  
> 
> As discussed in the thread, Jakub can you pick the other patches or 
> should I repost the series without the selftest? I am now working on the 
> iproute extension FWIW.

How long will the iproute2 extension take? If it's matter of days maybe
we should wait and base the selftest on it?